%bcond_without check

%global goipath         github.com/masterzen/simplexml
%global commit          31eea30827864c9ab643aa5a0d5b2d4988ec8409

%gometa

%global common_description %{expand:
Go library to generate XML content from a naive DOM.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:    2%{?dist}
Summary:        Go library to generate XML content from a naive DOM

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

%if %{with check}
BuildRequires:  golang(github.com/google/go-cmp/cmp)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 0-2.git31eea30
- Rebuilt for loongarch64

* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
